<template>
    <button class="button"
            @click="onClick"
            type="button"
            name="button">

        <slot>Button</slot>
    </button>
</template>

<script>
export default {
    props: {
        onClick: {
            type: Function,
            required: true
        }
    }
}
</script>

<style>
.button {

}
</style>
